diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/plugin-install.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/plugin-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/plugin-install.php	2013-07-17 16:08:05.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/plugin-install.php	2013-10-05 05:59:12.000000000 -0500
***************
*** 34,47 ****
  	if ( !isset($args->per_page) )
  		$args->per_page = 24;
  
! 	// Allows a plugin to override the WordPress.org API entirely.
! 	// Use the filter 'plugins_api_result' to merely add results.
! 	// Please ensure that a object is returned from the following filters.
! 	$args = apply_filters('plugins_api_args', $args, $action);
! 	$res = apply_filters('plugins_api', false, $action, $args);
  
  	if ( false === $res ) {
! 		$request = wp_remote_post('http://api.wordpress.org/plugins/info/1.0/', array( 'timeout' => 15, 'body' => array('action' => $action, 'request' => serialize($args))) );
  		if ( is_wp_error($request) ) {
  			$res = new WP_Error('plugins_api_failed', __( 'An unexpected error occurred. Something may be wrong with WordPress.org or this server&#8217;s configuration. If you continue to have problems, please try the <a href="http://wordpress.org/support/">support forums</a>.' ), $request->get_error_message() );
  		} else {
--- 34,77 ----
  	if ( !isset($args->per_page) )
  		$args->per_page = 24;
  
! 	/**
! 	 * Override the Plugin Install API arguments.
! 	 *
! 	 * Please ensure that an object is returned.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param object $args   Plugin API arguments.
! 	 * @param string $action The type of information being requested from the Plugin Install API.
! 	 */
! 	$args = apply_filters( 'plugins_api_args', $args, $action );
! 
! 	/**
! 	 * Allows a plugin to override the WordPress.org Plugin Install API entirely.
! 	 *
! 	 * Please ensure that an object is returned.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param bool|object         The result object. Default is false.
! 	 * @param string      $action The type of information being requested from the Plugin Install API.
! 	 * @param object      $args   Plugin API arguments.
! 	 */
! 	$res = apply_filters( 'plugins_api', false, $action, $args );
  
  	if ( false === $res ) {
! 		$url = 'http://api.wordpress.org/plugins/info/1.0/';
! 		if ( wp_http_supports( array( 'ssl' ) ) )
! 			$url = set_url_scheme( $url, 'https' );
! 
! 		$request = wp_remote_post( $url, array(
! 			'timeout' => 15,
! 			'body' => array(
! 				'action' => $action,
! 				'request' => serialize( $args )
! 			)
! 		) );
! 
  		if ( is_wp_error($request) ) {
  			$res = new WP_Error('plugins_api_failed', __( 'An unexpected error occurred. Something may be wrong with WordPress.org or this server&#8217;s configuration. If you continue to have problems, please try the <a href="http://wordpress.org/support/">support forums</a>.' ), $request->get_error_message() );
  		} else {
***************
*** 53,59 ****
  		$res->external = true;
  	}
  
! 	return apply_filters('plugins_api_result', $res, $action, $args);
  }
  
  /**
--- 83,98 ----
  		$res->external = true;
  	}
  
! 	/**
! 	 * Filter the Plugin Install API response results.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param object|WP_Error $res    Response object or WP_Error.
! 	 * @param string          $action The type of information being requested from the Plugin Install API.
! 	 * @param object          $args   Plugin API arguments.
! 	 */
! 	return apply_filters( 'plugins_api_result', $res, $action, $args );
  }
  
  /**
***************
*** 265,271 ****
  function install_plugin_information() {
  	global $tab;
  
! 	$api = plugins_api('plugin_information', array('slug' => wp_unslash( $_REQUEST['plugin'] ) ));
  
  	if ( is_wp_error($api) )
  		wp_die($api);
--- 304,310 ----
  function install_plugin_information() {
  	global $tab;
  
! 	$api = plugins_api( 'plugin_information', array( 'slug' => wp_unslash( $_REQUEST['plugin'] ), 'is_ssl' => is_ssl() ) );
  
  	if ( is_wp_error($api) )
  		wp_die($api);
***************
*** 296,304 ****
  			$api->$key = wp_kses( $api->$key, $plugins_allowedtags );
  	}
  
! 	$section = isset($_REQUEST['section']) ? wp_unslash( $_REQUEST['section'] ) : 'description'; //Default to the Description tab, Do not translate, API returns English.
! 	if ( empty($section) || ! isset($api->sections[ $section ]) )
! 		$section = array_shift( $section_titles = array_keys((array)$api->sections) );
  
  	iframe_header( __('Plugin Install') );
  	echo "<div id='$tab-header'>\n";
--- 335,345 ----
  			$api->$key = wp_kses( $api->$key, $plugins_allowedtags );
  	}
  
! 	$section = isset( $_REQUEST['section'] ) ? wp_unslash( $_REQUEST['section'] ) : 'description'; //Default to the Description tab, Do not translate, API returns English.
! 	if ( empty( $section ) || ! isset( $api->sections[ $section ] ) ) {
! 		$section_titles = array_keys( (array) $api->sections );
! 		$section = array_shift( $section_titles );
! 	}
  
  	iframe_header( __('Plugin Install') );
  	echo "<div id='$tab-header'>\n";
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/plugin.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/plugin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/plugin.php	2013-07-08 08:04:07.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/plugin.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 114,119 ****
--- 114,122 ----
   */
  function _get_plugin_data_markup_translate( $plugin_file, $plugin_data, $markup = true, $translate = true ) {
  
+ 	// Sanitize the plugin filename to a WP_PLUGIN_DIR relative path
+ 	$plugin_file = plugin_basename( $plugin_file );
+ 
  	// Translate fields
  	if ( $translate ) {
  		if ( $textdomain = $plugin_data['TextDomain'] ) {
***************
*** 537,543 ****
--- 540,567 ----
  		include_once(WP_PLUGIN_DIR . '/' . $plugin);
  
  		if ( ! $silent ) {
+ 			/**
+ 			 * Fires before a plugin is activated in activate_plugin() when the $silent parameter is false.
+ 			 *
+ 			 * @since 2.9.0
+ 			 *
+ 			 * @param string $plugin       Plugin path to main plugin file with plugin data.
+ 			 * @param bool   $network_wide Whether to enable the plugin for all sites in the network
+ 			 *                             or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'activate_plugin', $plugin, $network_wide );
+ 
+ 			/**
+ 			 * Fires before a plugin is activated in activate_plugin() when the $silent parameter is false.
+ 			 *
+ 			 * The action concatenates the 'activate_' prefix with the $plugin value passed to
+ 			 * activate_plugin() to create a dynamically-named action.
+ 			 *
+ 			 * @since 2.0.0
+ 			 *
+ 			 * @param bool $network_wide Whether to enable the plugin for all sites in the network
+ 			 *                           or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'activate_' . $plugin, $network_wide );
  		}
  
***************
*** 551,556 ****
--- 575,589 ----
  		}
  
  		if ( ! $silent ) {
+ 			/**
+ 			 * Fires after a plugin has been activated in activate_plugin() when the $silent parameter is false.
+ 			 *
+ 			 * @since 2.9.0
+ 			 *
+ 			 * @param string $plugin       Plugin path to main plugin file with plugin data.
+ 			 * @param bool   $network_wide Whether to enable the plugin for all sites in the network
+ 			 *                             or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'activated_plugin', $plugin, $network_wide );
  		}
  
***************
*** 591,596 ****
--- 624,639 ----
  		$network_deactivating = false !== $network_wide && is_plugin_active_for_network( $plugin );
  
  		if ( ! $silent )
+ 			/**
+ 			 * Fires for each plugin being deactivated in deactivate_plugins(), before deactivation
+ 			 * and when the $silent parameter is false.
+ 			 *
+ 			 * @since 2.9.0
+ 			 *
+ 			 * @param string $plugin               Plugin path to main plugin file with plugin data.
+ 			 * @param bool   $network_deactivating Whether the plugin is deactivated for all sites in the network
+ 			 *                                     or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'deactivate_plugin', $plugin, $network_deactivating );
  
  		if ( false !== $network_wide ) {
***************
*** 611,617 ****
--- 654,683 ----
  		}
  
  		if ( ! $silent ) {
+ 			/**
+ 			 * Fires for each plugin being deactivated in deactivate_plugins(), after deactivation
+ 			 * and when the $silent parameter is false.
+ 			 *
+ 			 * The action concatenates the 'deactivate_' prefix with the plugin's basename
+ 			 * to create a dynamically-named action.
+ 			 *
+ 			 * @since 2.0.0
+ 			 *
+ 			 * @param bool $network_deactivating Whether the plugin is deactivated for all sites in the network
+ 			 *                                   or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'deactivate_' . $plugin, $network_deactivating );
+ 
+ 			/**
+ 			 * Fires for each plugin being deactivated in deactivate_plugins(), after deactivation
+ 			 * and when the $silent parameter is false.
+ 			 *
+ 			 * @since 2.9.0
+ 			 *
+ 			 * @param string $plugin               Plugin path to main plugin file with plugin data.
+ 			 * @param bool   $network_deactivating Whether the plugin is deactivated for all sites in the network
+ 			 *                                     or just the current site. Multisite only. Default is false.
+ 			 */
  			do_action( 'deactivated_plugin', $plugin, $network_deactivating );
  		}
  	}
***************
*** 862,867 ****
--- 928,942 ----
  		include WP_PLUGIN_DIR . '/' . $file;
  
  		add_action( 'uninstall_' . $file, $callable );
+ 
+ 		/**
+ 		 * Fires in uninstall_plugin() once the plugin has been uninstalled.
+ 		 *
+ 		 * The action concatenates the 'uninstall_' prefix with the basename of the
+ 		 * plugin passed to {@see uninstall_plugin()} to create a dynamically-named action.
+ 		 *
+ 		 * @since 2.7.0
+ 		 */
  		do_action( 'uninstall_' . $file );
  	}
  }
***************
*** 1761,1763 ****
--- 1836,1851 ----
  	echo '<input type="hidden" name="action" value="update" />';
  	wp_nonce_field("$option_group-options");
  }
+ 
+ /**
+  * Clears the Plugins cache used by get_plugins() and by default, the Plugin Update cache.
+  *
+  * @since 3.7.0
+  *
+  * @param bool $clear_update_cache Whether to clear the Plugin updates cache
+  */
+ function wp_clean_plugins_cache( $clear_update_cache = true ) {
+ 	if ( $clear_update_cache )
+ 		delete_site_transient( 'update_plugins' );
+ 	wp_cache_delete( 'plugins', 'plugins' );
+ }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/post.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/post.php	2013-09-10 13:42:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/post.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 52,58 ****
  	if ( isset($post_data['trackback_url']) )
  		$post_data['to_ping'] = $post_data['trackback_url'];
  
! 	$post_data['user_ID'] = $GLOBALS['user_ID'];
  
  	if (!empty ( $post_data['post_author_override'] ) ) {
  		$post_data['post_author'] = (int) $post_data['post_author_override'];
--- 52,58 ----
  	if ( isset($post_data['trackback_url']) )
  		$post_data['to_ping'] = $post_data['trackback_url'];
  
! 	$post_data['user_ID'] = get_current_user_id();
  
  	if (!empty ( $post_data['post_author_override'] ) ) {
  		$post_data['post_author'] = (int) $post_data['post_author_override'];
***************
*** 178,183 ****
--- 178,192 ----
  			wp_die( __('You are not allowed to edit this post.' ));
  	}
  
+ 	if ( post_type_supports( $ptype->name, 'revisions' ) ) {
+ 		$revisions = wp_get_post_revisions( $post_ID, array( 'order' => 'ASC', 'posts_per_page' => 1 ) );
+ 		$revision = current( $revisions );
+ 
+ 		// Check if the revisions have been upgraded
+ 		if ( $revisions && _wp_get_post_revision_version( $revision ) < 1 )
+ 			_wp_upgrade_revisions_of_post( $post, wp_get_post_revisions( $post_ID ) );
+ 	}
+ 
  	$post_data = _wp_translate_postdata( true, $post_data );
  	if ( is_wp_error($post_data) )
  		wp_die( $post_data->get_error_message() );
***************
*** 261,272 ****
  		}
  
  		$attachment_data = isset( $post_data['attachments'][ $post_ID ] ) ? $post_data['attachments'][ $post_ID ] : array();
  		$post_data = apply_filters( 'attachment_fields_to_save', $post_data, $attachment_data );
  	}
  
  	add_meta( $post_ID );
  
! 	update_post_meta( $post_ID, '_edit_last', $GLOBALS['current_user']->ID );
  
  	wp_update_post( $post_data );
  
--- 270,282 ----
  		}
  
  		$attachment_data = isset( $post_data['attachments'][ $post_ID ] ) ? $post_data['attachments'][ $post_ID ] : array();
+ 		/** This filter is documented in wp-admin/includes/media.php */
  		$post_data = apply_filters( 'attachment_fields_to_save', $post_data, $attachment_data );
  	}
  
  	add_meta( $post_ID );
  
! 	update_post_meta( $post_ID, '_edit_last', get_current_user_id() );
  
  	wp_update_post( $post_data );
  
***************
*** 324,330 ****
  
  	$post_IDs = array_map( 'intval', (array) $post_data['post'] );
  
! 	$reset = array( 'post_author', 'post_status', 'post_password', 'post_parent', 'page_template', 'comment_status', 'ping_status', 'keep_private', 'tax_input', 'post_category', 'sticky' );
  	foreach ( $reset as $field ) {
  		if ( isset($post_data[$field]) && ( '' == $post_data[$field] || -1 == $post_data[$field] ) )
  			unset($post_data[$field]);
--- 334,346 ----
  
  	$post_IDs = array_map( 'intval', (array) $post_data['post'] );
  
! 	$reset = array(
! 		'post_author', 'post_status', 'post_password',
! 		'post_parent', 'page_template', 'comment_status',
! 		'ping_status', 'keep_private', 'tax_input',
! 		'post_category', 'sticky', 'post_format',
! 	);
! 
  	foreach ( $reset as $field ) {
  		if ( isset($post_data[$field]) && ( '' == $post_data[$field] || -1 == $post_data[$field] ) )
  			unset($post_data[$field]);
***************
*** 418,423 ****
--- 434,442 ----
  			else
  				unstick_post( $post_ID );
  		}
+ 
+ 		if ( isset( $post_data['post_format'] ) )
+ 			set_post_format( $post_ID, $post_data['post_format'] );
  	}
  
  	return array( 'updated' => $updated, 'skipped' => $skipped, 'locked' => $locked );
***************
*** 529,536 ****
   * @return unknown
   */
  function wp_write_post() {
- 	global $user_ID;
- 
  	if ( isset($_POST['post_type']) )
  		$ptype = get_post_type_object($_POST['post_type']);
  	else
--- 548,553 ----
***************
*** 741,755 ****
   * @since 2.3.0
   * @access private
   *
!  * @param unknown_type $post_ID
!  * @return unknown
   */
! function _fix_attachment_links( $post_ID ) {
! 	$post = get_post( $post_ID, ARRAY_A );
  	$content = $post['post_content'];
  
! 	// quick sanity check, don't run if no pretty permalinks or post is not published
! 	if ( !get_option('permalink_structure') || $post['post_status'] != 'publish' )
  		return;
  
  	// Short if there aren't any links or no '?attachment_id=' strings (strpos cannot be zero)
--- 758,772 ----
   * @since 2.3.0
   * @access private
   *
!  * @param int|object $post Post ID or post object.
!  * @return void|int|WP_Error Void if nothing fixed. 0 or WP_Error on update failure. The post ID on update success.
   */
! function _fix_attachment_links( $post ) {
! 	$post = get_post( $post, ARRAY_A );
  	$content = $post['post_content'];
  
! 	// Don't run if no pretty permalinks or post is not published, scheduled, or privately published.
! 	if ( ! get_option( 'permalink_structure' ) || ! in_array( $post['post_status'], array( 'publish', 'future', 'private' ) ) )
  		return;
  
  	// Short if there aren't any links or no '?attachment_id=' strings (strpos cannot be zero)
***************
*** 995,1003 ****
   * @return array With two entries of type string
   */
  function get_sample_permalink($id, $title = null, $name = null) {
! 	$post = get_post($id);
! 	if ( !$post->ID )
! 		return array('', '');
  
  	$ptype = get_post_type_object($post->post_type);
  
--- 1012,1020 ----
   * @return array With two entries of type string
   */
  function get_sample_permalink($id, $title = null, $name = null) {
! 	$post = get_post( $id );
! 	if ( ! $post )
! 		return array( '', '' );
  
  	$ptype = get_post_type_object($post->post_type);
  
***************
*** 1057,1064 ****
   * @return string The HTML of the sample permalink slug editor.
   */
  function get_sample_permalink_html( $id, $new_title = null, $new_slug = null ) {
! 	global $wpdb;
! 	$post = get_post($id);
  
  	list($permalink, $post_name) = get_sample_permalink($post->ID, $new_title, $new_slug);
  
--- 1074,1082 ----
   * @return string The HTML of the sample permalink slug editor.
   */
  function get_sample_permalink_html( $id, $new_title = null, $new_slug = null ) {
! 	$post = get_post( $id );
! 	if ( ! $post )
! 		return '';
  
  	list($permalink, $post_name) = get_sample_permalink($post->ID, $new_title, $new_slug);
  
***************
*** 1260,1266 ****
  		?>
  		<div class="post-locked-message">
  		<div class="post-locked-avatar"><?php echo get_avatar( $user->ID, 64 ); ?></div>
! 		<p class="currently-editing wp-tab-first" tabindex="0"><?php echo esc_html( sprintf( __( 'This content is currently locked. If you take over, %s will be blocked from continuing to edit.' ), $user->display_name ) ); ?></p>
  		<?php do_action( 'post_locked_dialog', $post ); ?>
  		<p>
  		<a class="button" href="<?php echo esc_url( $sendback ); ?>"><?php echo $sendback_text; ?></a>
--- 1278,1290 ----
  		?>
  		<div class="post-locked-message">
  		<div class="post-locked-avatar"><?php echo get_avatar( $user->ID, 64 ); ?></div>
! 		<p class="currently-editing wp-tab-first" tabindex="0">
! 		<?php
! 			_e( 'This content is currently locked.' );
! 			if ( $override )
! 				printf( ' ' . __( 'If you take over, %s will be blocked from continuing to edit.' ), esc_html( $user->display_name ) );
! 		?>
! 		</p>
  		<?php do_action( 'post_locked_dialog', $post ); ?>
  		<p>
  		<a class="button" href="<?php echo esc_url( $sendback ); ?>"><?php echo $sendback_text; ?></a>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/revision.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/revision.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/revision.php	2013-07-29 12:53:58.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/revision.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 1,6 ****
  <?php
  /**
!  * WordPress Administration Revisions API.
   *
   * @package WordPress
   * @subpackage Administration
--- 1,6 ----
  <?php
  /**
!  * WordPress Administration Revisions API
   *
   * @package WordPress
   * @subpackage Administration
***************
*** 11,22 ****
   *
   * @since 3.6.0
   *
!  * @param object $post The post object.
!  * @param int $compare_from The revision id to compare from.
!  * @param int $compare_to The revision id to come to.
   *
   * @return array|bool Associative array of a post's revisioned fields and their diffs.
!  * 	Or, false on failure.
   */
  function wp_get_revision_ui_diff( $post, $compare_from, $compare_to ) {
  	if ( ! $post = get_post( $post ) )
--- 11,22 ----
   *
   * @since 3.6.0
   *
!  * @param object|int $post         The post object. Also accepts a post ID.
!  * @param int        $compare_from The revision ID to compare from.
!  * @param int        $compare_to   The revision ID to come to.
   *
   * @return array|bool Associative array of a post's revisioned fields and their diffs.
!  *                    Or, false on failure.
   */
  function wp_get_revision_ui_diff( $post, $compare_from, $compare_to ) {
  	if ( ! $post = get_post( $post ) )
***************
*** 55,61 ****
--- 55,76 ----
  	$return = array();
  
  	foreach ( _wp_post_revision_fields() as $field => $name ) {
+ 		/**
+ 		 * Contextually filter a post revision field.
+ 		 *
+ 		 * The dynamic portion of the hook name, $field, corresponds to each of the post
+ 		 * fields of the revision object being iterated over in a foreach statement.
+ 		 *
+ 		 * @since 3.6.0
+ 		 *
+ 		 * @param string  $compare_from->$field The current revision field to compare to or from.
+ 		 * @param string  $field                The current revision field.
+ 		 * @param WP_Post $compare_from         The revision post object to compare to or from.
+ 		 * @param string  null                  The context of whether the current revision is the old or the new one. Values are 'to' or 'from'.
+ 		 */
  		$content_from = $compare_from ? apply_filters( "_wp_post_revision_field_$field", $compare_from->$field, $field, $compare_from, 'from' ) : '';
+ 
+ 		/** This filter is documented in wp-admin/includes/revision.php */
  		$content_to = apply_filters( "_wp_post_revision_field_$field", $compare_to->$field, $field, $compare_to, 'to' );
  
  		$diff = wp_text_diff( $content_from, $content_to, array( 'show_split_view' => true ) );
***************
*** 85,93 ****
   *
   * @since 3.6.0
   *
!  * @param object $post The post object.
!  * @param int $selected_revision_id The selected revision id.
!  * @param int $from (optional) The revision id to compare from.
   *
   * @return array An associative array of revision data and related settings.
   */
--- 100,108 ----
   *
   * @since 3.6.0
   *
!  * @param object|int $post                 The post object. Also accepts a post ID.
!  * @param int        $selected_revision_id The selected revision ID.
!  * @param int        $from                 Optional. The revision ID to compare from.
   *
   * @return array An associative array of revision data and related settings.
   */
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/schema.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/schema.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/schema.php	2013-07-09 14:14:33.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/schema.php	2013-10-18 02:48:09.000000000 -0500
***************
*** 230,236 ****
    registered datetime NOT NULL default '0000-00-00 00:00:00',
    last_updated datetime NOT NULL default '0000-00-00 00:00:00',
    public tinyint(2) NOT NULL default '1',
!   archived enum('0','1') NOT NULL default '0',
    mature tinyint(2) NOT NULL default '0',
    spam tinyint(2) NOT NULL default '0',
    deleted tinyint(2) NOT NULL default '0',
--- 230,236 ----
    registered datetime NOT NULL default '0000-00-00 00:00:00',
    last_updated datetime NOT NULL default '0000-00-00 00:00:00',
    public tinyint(2) NOT NULL default '1',
!   archived tinyint(2) NOT NULL default '0',
    mature tinyint(2) NOT NULL default '0',
    spam tinyint(2) NOT NULL default '0',
    deleted tinyint(2) NOT NULL default '0',
***************
*** 272,277 ****
--- 272,278 ----
    KEY site_id (site_id)
  ) $charset_collate;
  CREATE TABLE $wpdb->signups (
+   signup_id bigint(20) NOT NULL auto_increment,
    domain varchar(200) NOT NULL default '',
    path varchar(100) NOT NULL default '',
    title longtext NOT NULL,
***************
*** 282,289 ****
    active tinyint(1) NOT NULL default '0',
    activation_key varchar(50) NOT NULL default '',
    meta longtext,
    KEY activation_key (activation_key),
!   KEY domain (domain)
  ) $charset_collate;";
  
  	switch ( $scope ) {
--- 283,293 ----
    active tinyint(1) NOT NULL default '0',
    activation_key varchar(50) NOT NULL default '',
    meta longtext,
+   PRIMARY KEY  (signup_id),
    KEY activation_key (activation_key),
!   KEY user_email (user_email),
!   KEY user_login_email (user_login,user_email),
!   KEY domain_path (domain,path)
  ) $charset_collate;";
  
  	switch ( $scope ) {
***************
*** 542,547 ****
--- 546,569 ----
  
  	// delete obsolete magpie stuff
  	$wpdb->query("DELETE FROM $wpdb->options WHERE option_name REGEXP '^rss_[0-9a-f]{32}(_ts)?$'");
+ 
+ 	// Deletes all expired transients.
+ 	// The multi-table delete syntax is used to delete the transient record from table a,
+ 	// and the corresponding transient_timeout record from table b.
+ 	$time = time();
+ 	$wpdb->query("DELETE a, b FROM $wpdb->options a, $wpdb->options b WHERE
+ 	        a.option_name LIKE '\_transient\_%' AND
+ 	        a.option_name NOT LIKE '\_transient\_timeout\_%' AND
+ 	        b.option_name = CONCAT( '_transient_timeout_', SUBSTRING( a.option_name, 12 ) )
+ 	        AND b.option_value < $time");
+ 
+ 	if ( is_main_site() && is_main_network() ) {
+ 		$wpdb->query("DELETE a, b FROM $wpdb->options a, $wpdb->options b WHERE
+ 			a.option_name LIKE '\_site\_transient\_%' AND
+ 			a.option_name NOT LIKE '\_site\_transient\_timeout\_%' AND
+ 			b.option_name = CONCAT( '_site_transient_timeout_', SUBSTRING( a.option_name, 17 ) )
+ 			AND b.option_value < $time");
+     }
  }
  
  /**
***************
*** 918,923 ****
--- 940,955 ----
  	if ( ! $subdomain_install )
  		$sitemeta['illegal_names'][] = 'blog';
  
+ 	/**
+ 	 * Filter meta for a network on creation.
+ 	 *
+ 	 * @since 3.7.0
+ 	 *
+ 	 * @param array $sitemeta Associative of meta keys and values to be inserted.
+ 	 * @param int $network_id Network ID being created.
+ 	 */
+ 	$sitemeta = apply_filters( 'populate_network_meta', $sitemeta, $network_id );
+ 
  	$insert = '';
  	foreach ( $sitemeta as $meta_key => $meta_value ) {
  		if ( is_array( $meta_value ) )
***************
*** 936,942 ****
  		$current_site->domain = $domain;
  		$current_site->path = $path;
  		$current_site->site_name = ucfirst( $domain );
! 		$wpdb->insert( $wpdb->blogs, array( 'site_id' => $network_id, 'domain' => $domain, 'path' => $path, 'registered' => current_time( 'mysql' ) ) );
  		$current_site->blog_id = $blog_id = $wpdb->insert_id;
  		update_user_meta( $site_user->ID, 'source_domain', $domain );
  		update_user_meta( $site_user->ID, 'primary_blog', $blog_id );
--- 968,974 ----
  		$current_site->domain = $domain;
  		$current_site->path = $path;
  		$current_site->site_name = ucfirst( $domain );
! 		$wpdb->insert( $wpdb->blogs, array( 'site_id' => $network_id, 'blog_id' => 1, 'domain' => $domain, 'path' => $path, 'registered' => current_time( 'mysql' ) ) );
  		$current_site->blog_id = $blog_id = $wpdb->insert_id;
  		update_user_meta( $site_user->ID, 'source_domain', $domain );
  		update_user_meta( $site_user->ID, 'primary_blog', $blog_id );
***************
*** 947,955 ****
  			$wp_rewrite->set_permalink_structure( '/blog/%year%/%monthnum%/%day%/%postname%/' );
  
  		flush_rewrite_rules();
- 	}
  
! 	if ( $subdomain_install ) {
  		$vhost_ok = false;
  		$errstr = '';
  		$hostname = substr( md5( time() ), 0, 6 ) . '.' . $domain; // Very random hostname!
--- 979,988 ----
  			$wp_rewrite->set_permalink_structure( '/blog/%year%/%monthnum%/%day%/%postname%/' );
  
  		flush_rewrite_rules();
  
! 		if ( ! $subdomain_install )
! 			return true;
! 
  		$vhost_ok = false;
  		$errstr = '';
  		$hostname = substr( md5( time() ), 0, 6 ) . '.' . $domain; // Very random hostname!
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/taxonomy.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/taxonomy.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/taxonomy.php	2013-03-01 11:00:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/taxonomy.php	2013-10-02 14:59:10.000000000 -0500
***************
*** 34,40 ****
   * @return unknown
   */
  function get_category_to_edit( $id ) {
! 	$category = get_category( $id, OBJECT, 'edit' );
  	return $category;
  }
  
--- 34,41 ----
   * @return unknown
   */
  function get_category_to_edit( $id ) {
! 	$category = get_term( $id, 'category', OBJECT, 'edit' );
! 	_make_cat_compat( $category );
  	return $category;
  }
  
***************
*** 155,161 ****
  		return false;
  
  	// First, get all of the original fields
! 	$category = get_category($cat_ID, ARRAY_A);
  
  	// Escape data pulled from DB.
  	$category = wp_slash($category);
--- 156,163 ----
  		return false;
  
  	// First, get all of the original fields
! 	$category = get_term( $cat_ID, 'category', ARRAY_A );
! 	_make_cat_compat( $category );
  
  	// Escape data pulled from DB.
  	$category = wp_slash($category);
